Description

http://www.mono-project.com/docs/advanced/pinvoke/

History

#1 - 03/23/2016 05:37 AM - Madars

- Priority changed from Normal (Code 4) to Low (Code 5)

#2 - 01/28/2017 10:07 PM - Madars

- Subject changed from C#/mono support to C# support - .net core

#3 - 01/02/2018 03:23 PM - Madars

- File c-callback.tar.gz added

Performed tests with: https://github.com/dotnet/corefx/issues/14540

Attached archive with working code. Basically c# calls C, gives it delegate to call back. I have added extra argument to delegate/callback function:

$ ./run.sh

clang++ -shared -fPIC -std=c++11 ./reversepinvokefromthread.cpp -o reversepinvokefromthread.so

dotnet run

Got here number: 1

Sleeping in Main ...

sleeping for 5 sec ...  ... after sleep trying to callback from new thread .. 0x7fa8dd6c307c

Got here number: 2

sleeping for 5 sec .

 

See c-callback.tar.gz, just run.sh (it will export library path and run off make) and run off the test.

#4 - 01/03/2018 01:25 PM - Madars

https://docs.microsoft.com/en-us/dotnet/standard/design-guidelines/capitalization-conventions
Files

c-callback.tar.gz 22.9 KB 01/02/2018 Madars
